package com.xy.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xy.entity.SysDict;

/**
 * <p>
 * 字典表 服务类
 * </p>
 *
 * @author 谭斌
 * @since 2022-12-16
 */
public interface SysDictService extends IService<SysDict> {


    /**
     * 根据ID 删除字典
     *
     * @param id
     * @return
     */
    void removeDict(Long id);

    /**
     * 更新字典
     *
     * @param sysDict 字典
     * @return
     */
    void updateDict(SysDict sysDict);

    /**
     * 清除缓存
     */
    void clearDictCache();
}
